Bug 145036 - xdm_t can't access device_t:chr_file, xserver_misc_device_t:chr_file
xdm_t can't access device_t:chr_file, xserver_misc_device_t:chr_file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 16:26 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 13:26:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-01-13 16:26:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
audit(1105648223.619:0): avc:  denied  { getattr } for  pid=3481
exe=/usr/bin/gdm-binary path=/dev/nvidia0 dev=tmpfs ino=6016
scontext=system_u:system_r:xdm_t 
tcontext=system_u:object_r:xserver_misc_device_t tclass=chr_file

audit(1105648223.619:0): avc:  denied  { setattr } for  pid=3481
exe=/usr/bin/gdm-binary name=nvidia0 dev=tmpfs ino=6016
scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:xserver_misc_device_t tclass=chr_file

audit(1105648223.619:0): avc:  denied  { setattr } for  pid=3481
exe=/usr/bin/gdm-binary name=nvidia1 dev=tmpfs ino=6019
scontext=system_u:system_r:xdm_t tcontext=system_u:object_r:device_t
tclass=chr_file



Version-Release number of selected component (if applicable):
selinux-policy-strict-1.21.1-1

How reproducible:
Always

Steps to Reproduce:
1. Boot with strict policy

Additional info:
Comment 1 Daniel Walsh 2005-01-18 17:04:28 EST
Fixed in selinux-policy-strict-1.21.2-1

Note You need to log in before you can comment on or make changes to this bug.